"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
function useDebounce(value, onDebounce, delay) {
    const [debouncedValue, setDebouncedValue] = (0, react_1.useState)(value);
    (0, react_1.useEffect)(() => {
        const timer = setTimeout(() => {
            setDebouncedValue(value);
            onDebounce(value);
        }, delay || 500);
        return () => {
            clearTimeout(timer);
        };
    }, [value, delay, onDebounce]);
    return debouncedValue;
}
exports.default = useDebounce;
//# sourceMappingURL=useDebounce.js.map